MKTEMP(1)

NOM
mktemp - Créer un fichier ou un répertoire temporaire

SYNOPSIS
mktemp [OPTION]... [MODÈLE]

DESCRIPTION

Créer un fichier ou un répertoire temporaire, de façon sûre, et afficher son nom. MODÈLE doit avoir au moins 3 « X » consécutifs à la fin. Si MODÈLE n'est pas indiqué, tmp.XXXXXXXXXX sera utilisé et --tmpdir est implicitement fourni. Les fichiers sont créés avec le mode u+rw et les dossiers avec le mode u+rwx, sur lesquels est appliqué l'umask.

-d, --directory
    créer un répertoire au lieu d'un fichier

-u, --dry-run
    ne rien créer ; n'afficher qu'un nom (n'est pas sûr)

-q, --quiet
    supprimer le diagnostic sur les échecs de création de fichiers ou de répertoires

--suffix=SUFFIXE
    ajouter SUFFIXE à la fin du MODÈLE. SUFFIXE ne doit pas contenir de barre oblique (« / »). Cette option est sous-entendue si MODÈLE ne se termine pas par un X

-p RÉP, --tmpdir[=RÉP]
    interpréter MODÈLE relativement à RÉP. Si RÉP n'est pas indiqué, utiliser $TMPDIR si cette variable est définie, sinon /tmp. Avec cette option, MODÈLE ne doit pas être un nom absolu. Contrairement à -t, MODÈLE peut contenir des barres obliques (« / »), mais mktemp ne crée que le composant final

-t  interpréter MODÈLE comme un seul composant de nom de fichier, relativement à un répertoire : $TMPDIR si cette variable est définie, sinon par rapport au répertoire indiqué par -p, et sinon par rapport à /tmp (obsolète).

--help
    afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter.

AUTEUR
Écrit et développé par Jim Meyering et Eric Blake.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
mkstemp(3), mkdtemp(3), mktemp(3)

Documentation complète : <https://www.gnu.org/software/coreutils/mktemp>
aussi disponible localement à l’aide de la commande : info '(coreutils) mktemp invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.